Opened 6 years ago

Closed 4 years ago

Last modified 3 years ago

#10912 closed defect (worksforme)

Add -fstack-protector-strong when building with gcc 4.9

Reported by: nickm Owned by:
Priority: Medium Milestone:
Component: Core Tor/Tor Version:
Severity: Keywords: tor-relay hardening
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Child Tickets

Change History (7)

comment:1 Changed 6 years ago by cypherpunks

Tor using -fstack-protector-all now, are you planning replace it with -fstack-protector-strong or add?

comment:2 Changed 6 years ago by nickm

Not sure. What do you think?

comment:3 Changed 6 years ago by andrea

Milestone: Tor: 0.2.5.x-finalTor: 0.2.6.x-final

Triage: defer to 0.2.6 as gcc 4.9 is not yet released

comment:4 Changed 6 years ago by nickm

Milestone: Tor: 0.2.6.x-finalTor: 0.2.???

Actually, deferring harder since this only makes sense when we _aren't_ doing -fstack-protector-all . We can reopen if we find out that -fstack-protector-all is too expensive or something. This could be part of a broader set of tickets along the line of "Turn on cheaper GCC hardening unconditionally" or something.

comment:5 Changed 4 years ago by nickm

Resolution: worksforme
Status: newclosed

No complaints about -fstack-protector-all so far; closing this.

comment:6 Changed 3 years ago by teor

Milestone: Tor: 0.2.???Tor: 0.3.???

Milestone renamed

comment:7 Changed 3 years ago by nickm

Milestone: Tor: 0.3.???

Milestone deleted

Note: See TracTickets for help on using tickets.